Hello Kamal,

Yes the docker installation works fine with linux-kvm 4.4.0-1021, I will
just close this bug with fix-released.

Thanks

** Changed in: linux (Ubuntu)
       Status: Incomplete => Fix Released

** Changed in: linux-kvm (Ubuntu)
       Status: Incomplete => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1760660

Title:
  Unable to start docker application with KVM kernel

Status in linux package in Ubuntu:
  Fix Released
Status in linux-kvm package in Ubuntu:
  Fix Released

Bug description:
  When trying to install the docker.io package on 4.4 X-kvm kenrel, it will 
failed with:
  17:34:16 DEBUG| Setting up docker.io (1.13.1-0ubuntu1~16.04.2) ...
  17:34:16 DEBUG| addgroup: The group `docker' already exists as a system 
group. Exiting.
  17:34:16 DEBUG| Job for docker.service failed because the control process 
exited with error code. See "systemctl status docker.service" and "journalctl 
-xe" for details.
  17:34:16 DEBUG| invoke-rc.d: initscript docker, action "start" failed.
  17:34:16 DEBUG| ‚óŹ docker.service - Docker Application Container Engine
  17:34:16 DEBUG|    Loaded: loaded (/lib/systemd/system/docker.service; 
enabled; vendor preset: enabled)
  17:34:16 DEBUG|    Active: failed (Result: exit-code) since Mon 2018-04-02 
17:34:15 UTC; 11ms ago
  17:34:16 DEBUG|      Docs: https://docs.docker.com
  17:34:16 DEBUG|   Process: 2991 ExecStart=/usr/bin/dockerd -H fd:// 
$DOCKER_OPTS (code=exited, status=1/FAILURE)
  17:34:16 DEBUG|  Main PID: 2991 (code=exited, status=1/FAILURE)
  17:34:16 DEBUG| 
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: 
time="2018-04-02T17:34:15.542770021Z" ...t"
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: 
time="2018-04-02T17:34:15.543167017Z" ...s"
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: 
time="2018-04-02T17:34:15.543537340Z" ...s"
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: 
time="2018-04-02T17:34:15.543915385Z" ...s"
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: 
time="2018-04-02T17:34:15.544340510Z" ...d"
  17:34:16 DEBUG| Apr 02 17:34:15 harpo dockerd[2991]: Error starting daemon: 
Devices cgroup ...ed
  17:34:16 DEBUG| Apr 02 17:34:15 harpo systemd[1]: docker.service: Main 
process exited, code...RE
  17:34:16 DEBUG| Apr 02 17:34:15 harpo systemd[1]: Failed to start Docker 
Application Contai...e.
  17:34:16 DEBUG| Apr 02 17:34:15 harpo systemd[1]: docker.service: Unit 
entered failed state.
  17:34:16 DEBUG| Apr 02 17:34:15 harpo systemd[1]: docker.service: Failed with 
result 'exit-...'.
  17:34:16 DEBUG| Hint: Some lines were ellipsized, use -l to show in full.
  17:34:16 DEBUG| dpkg: error processing package docker.io (--configure):
  17:34:16 DEBUG|  subprocess installed post-installation script returned error 
exit status 1
  17:34:16 DEBUG| Errors were encountered while processing:
  17:34:16 DEBUG|  docker.io
  17:34:16 DEBUG| stderr:
  17:34:16 DEBUG| W: --force-yes is deprecated, use one of the options starting 
with --allow instead.
  17:34:16 DEBUG| E: Sub-process /usr/bin/dpkg returned an error code (1)
  17:34:16 INFO |               ERROR   ubuntu_fan_smoke_test.fan-smoke-test    
ubuntu_fan_smoke_test.fan-smoke-test    timestamp=1522690456    localtime=Apr 
02 17:34:16       Command <DEBIAN_FRONTEND=noninteractive apt-get install --yes 
--force-yes build-essential gdb git docker.io ubuntu-fan gcc-multilib> failed, 
rc=100, Command returned non-zero exit status

  If this is not supported, we can blacklist this test.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.4.0-1019-kvm 4.4.0-1019.24
  ProcVersionSignature: User Name 4.4.0-1019.24-kvm 4.4.98
  Uname: Linux 4.4.0-1019-kvm x86_64
  NonfreeKernelModules: signpost
  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  Date: Mon Apr  2 17:34:46 2018
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=<set>
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: linux-kvm
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1760660/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to     : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to